Package org.linphone.core

# Enum Class Privacy

java.lang.Object
java.lang.Enum<Privacy>
org.linphone.core.Privacy

All Implemented Interfaces:
  `Serializable`, `Comparable<Privacy>`, `Constable`

public enum Privacy extends Enum<Privacy>
Defines privacy policy to apply as described by rfc3323.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Critical`
Privacy service must perform the specified services or fail the request.
`Default`
Special keyword to use privacy as defined either globally or by proxy using
`ProxyConfig.setPrivacy(int)`
`Header`
Request that privacy services modify headers that cannot be set arbitrarily by
the user (Contact/Via).
`Id`
rfc3325 The presence of this privacy type in a Privacy header field indicates
that the user would like the Network Asserted Identity to be kept private with
respect to SIP entities outside the Trust Domain with which the user
authenticated.
`None`
Privacy services must not perform any privacy function.
`Session`
Request that privacy services provide privacy for session media.
`User`
Request that privacy services provide a user-level privacy function.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Privacy`
`fromInt(int value)`
`protected static Privacy[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(Privacy[] values)`
`static Privacy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Privacy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final Privacy None
Privacy services must not perform any privacy function.

### User

public static final Privacy User
Request that privacy services provide a user-level privacy function.
With this mode, "from" header is hidden, usually replaced by From: "Anonymous"
<sip:anonymous@anonymous.invalid>

### Header

public static final Privacy Header
Request that privacy services modify headers that cannot be set arbitrarily by
the user (Contact/Via).

### Session

public static final Privacy Session
Request that privacy services provide privacy for session media.

### Id

public static final Privacy Id
rfc3325 The presence of this privacy type in a Privacy header field indicates
that the user would like the Network Asserted Identity to be kept private with
respect to SIP entities outside the Trust Domain with which the user
authenticated.
Note that a user requesting multiple types of privacy MUST include all of the
requested privacy types in its Privacy header field value

### Critical

public static final Privacy Critical
Privacy service must perform the specified services or fail the request.

### Default

public static final Privacy Default
Special keyword to use privacy as defined either globally or by proxy using
`ProxyConfig.setPrivacy(int)`

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Privacy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Privacy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Privacy fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static Privacy[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(Privacy[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()